<?php
	require_once('inc/simplepie.inc');
	$total_articles = 10;
	
	$psdtutsfeed = new SimplePie('http://feeds.feedburner.com/psdtuts');
	$psdtutsfeed->handle_content_type();
	for ($x = 0; $x < $psdtutsfeed->get_item_quantity($total_articles); $x++)
	{
		$psdtutsarticles[] = $psdtutsfeed->get_item($x);
	}
	
	$nettutsfeed = new SimplePie('http://feeds.feedburner.com/nettuts');
	$nettutsfeed->handle_content_type();
	for ($x = 0; $x < $nettutsfeed->get_item_quantity($total_articles); $x++)
	{
		$nettutsarticles[] = $nettutsfeed->get_item($x);
	}
	
	$vectortutsfeed = new SimplePie('http://feeds.feedburner.com/VECTORTUTS');
	$vectortutsfeed->handle_content_type();
	for ($x = 0; $x < $vectortutsfeed->get_item_quantity($total_articles); $x++)
	{
		$vectortutsarticles[] = $vectortutsfeed->get_item($x);
	}
	
	$audiotutsfeed = new SimplePie('http://feeds.feedburner.com/AUDIOTUTS');
	$audiotutsfeed->handle_content_type();
	for ($x = 0; $x < $audiotutsfeed->get_item_quantity($total_articles); $x++)
	{
		$audiotutsarticles[] = $audiotutsfeed->get_item($x);
	}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	
	<title>A Better Blogroll</title>
	
	<link rel="stylesheet" type="text/css" href="style.css" />
	<!--[if IE]>
		<link rel="stylesheet" type="text/css" href="style-ie.css" />
	<![endif]-->
	
	<script src='js/jquery-1.2.6.min.js' type='text/javascript'></script>
	<script src="js/jquery-easing.1.2.js" type='text/javascript'></script>
	<script src="js/jquery-easing-compatibility.1.2.js" type='text/javascript'></script>
	<script src="js/coda-slider.1.1.1.js" type='text/javascript'></script>
	
	<script type='text/javascript'>
		$(function () {
			$("#blogSlider").codaSlider();
		});
	</script>
</head>

<body>
	
	<div id="blogSliderWrap">
		<div id="blogSlider">
			<div class="innerWrap">
				<div class="panelContainer">
					
					<div class="panel" title="PSDTUTS">
						<div class="wrapper">
					
							<ul id="psd-list">
								<?php
									foreach ($psdtutsarticles as $item)
									{
										echo '<li><a href="' . $item->get_link() . '">' . $item->get_title() . '</a></li>';
									}
								?>
							</ul>
					
						</div>
					</div>
	
					<div class="panel" title="NETTUTS">
						<div class="wrapper">
						
							<ul id="net-list">
								<?php
									foreach ($nettutsarticles as $item)
									{
										echo '<li><a href="' . $item->get_link() . '">' . $item->get_title() . '</a></li>';
									}
								?>
							</ul>
						
						</div>
					</div>
				
					<div class="panel" title="VECTORTUTS">
						<div class="wrapper">
						
							<ul id="vector-list">
								<?php
									foreach ($vectortutsarticles as $item)
									{
										echo '<li><a href="' . $item->get_link() . '">' . $item->get_title() . '</a></li>';
									}
								?>
							</ul>
						
						</div>
					</div>
				
					<div class="panel" title="AUDIOTUTS">
						<div class="wrapper">
						
							<ul id="audio-list">
								<?php
									foreach ($audiotutsarticles as $item)
									{
										echo '<li><a href="' . $item->get_link() . '">' . $item->get_title() . '</a></li>';
									}
								?>
							</ul>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<div id="push"></div>
	</div>

</body>

</html>